package docs

import (
	"embed"

	"github.com/swaggo/swag"
)

//go:embed swagger.json
var swaggerJSON embed.FS

var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:8080",
	BasePath:         "/api/v1",
	Schemes:          []string{"http"},
	Title:            "地图图层 API",
	Description:      "这是一个使用 Gin 和 GORM 实现的地图图层数据管理 API。",
	InfoInstanceName: "swagger",
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swaggerData, err := swaggerJSON.ReadFile("swagger.json")
	if err != nil {
		panic(err)
	}
	SwaggerInfo.SwaggerTemplate = string(swaggerData)

	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
